CREATE TABLE calle (
  CalleID int(10) unsigned NOT NULL AUTO_INCREMENT,
  Nombre varchar(255) NOT NULL DEFAULT '',
  ConsultaParcial text,
  Observacion varchar(255) NOT NULL DEFAULT '',
  PRIMARY KEY (CalleID)
) ENGINE=InnoDB  ;

CREATE TABLE cliente (
  ClienteID int(10) unsigned NOT NULL DEFAULT '0',
  Nombre varchar(80) NOT NULL DEFAULT '',
  CIF varchar(30) NOT NULL DEFAULT '',
  CalleNombre varchar(255) NOT NULL DEFAULT '',
  CalleNo varchar(255) NOT NULL DEFAULT '',
  PisoNo varchar(255) NOT NULL DEFAULT '',
  CodigoPostal varchar(20) NOT NULL DEFAULT '',
  Poblacion varchar(60) NOT NULL DEFAULT '',
  Provincia varchar(60) NOT NULL DEFAULT '',
  Pais varchar(60) NOT NULL DEFAULT '',
  Telefono varchar(60) NOT NULL DEFAULT '',
  Fax varchar(20) NOT NULL DEFAULT '',
  Email varchar(60) NOT NULL DEFAULT '',
  PersonaContacto varchar(60) NOT NULL DEFAULT '',
  Vez smallint(6) NOT NULL DEFAULT '0',
  Total decimal(15,4) NOT NULL DEFAULT '0.0000',
  Punto int(10) unsigned NOT NULL DEFAULT '0',
  UltimoTiempo datetime DEFAULT NULL,
  Descuento decimal(5,2) NOT NULL DEFAULT '0.00',
  SerSocio tinyint(1) NOT NULL DEFAULT '0',
  PrecioUsado smallint(5) unsigned NOT NULL DEFAULT '0',
  PrecioIncluidoIVA tinyint(1) NOT NULL DEFAULT '0',
  ConsultaParcial text,
  Bloqueado tinyint(1) NOT NULL DEFAULT '0',
  Observacion varchar(255) NOT NULL DEFAULT '',
  PRIMARY KEY (ClienteID)
) ENGINE=InnoDB ;

CREATE TABLE device (
  DeviceUUID varchar(64) NOT NULL DEFAULT '',
  ProgramID varchar(32) NOT NULL DEFAULT '',
  DeviceNo int(10) unsigned NOT NULL AUTO_INCREMENT,
  ActiveType tinyint(4) NOT NULL DEFAULT '0',
  ExpireDateValue int(11) unsigned NOT NULL DEFAULT '0',
  SoftRegInfo varchar(1024) NOT NULL DEFAULT '',
  DeviceName varchar(64) NOT NULL DEFAULT '',
  DeviceAlias varchar(64) NOT NULL DEFAULT '',
  ImpresoraTicket varchar(255) NOT NULL DEFAULT '',
  TicketCopia tinyint(4) NOT NULL DEFAULT '1',
  ImpresoraPreparado varchar(255) NOT NULL DEFAULT '',
  PreparadoCopia tinyint(4) NOT NULL DEFAULT '1',
  ImpresoraCambiado varchar(255) NOT NULL DEFAULT '',
  CambiadoCopia tinyint(4) NOT NULL DEFAULT '1',
  ImprimirCocina tinyint(1) NOT NULL DEFAULT '0',
  ReglaCocinaArticuloOrden tinyint(4) NOT NULL DEFAULT '0',
  ReglaCocinaArticuloNombre tinyint(4) NOT NULL DEFAULT '0',
  CocinaImprimirClase tinyint(1) NOT NULL DEFAULT '0',
  CocinaClaseAutoCut tinyint(1) NOT NULL DEFAULT '0',
  DBServer tinyint(1) NOT NULL DEFAULT '0',
  Actived tinyint(1) NOT NULL DEFAULT '0',
  ActiveCode varchar(1024) NOT NULL DEFAULT '',
  SystemInfo varchar(1024) NOT NULL DEFAULT '',
  Comments varchar(1024) NOT NULL DEFAULT '',
  UpdateTimeStamp timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  PRIMARY KEY (DeviceUUID,ProgramID),
  KEY DeviceNo (DeviceNo)
) ENGINE=InnoDB ;

CREATE TABLE documentono (
  DocTipo varchar(40) NOT NULL DEFAULT '',
  DocID int(10) unsigned NOT NULL DEFAULT '0',
  DocNo bigint(18) unsigned NOT NULL DEFAULT '0',
  PRIMARY KEY (DocTipo,DocID)
) ENGINE=InnoDB ;

CREATE TABLE empleado (
  EmpleadoID smallint(5) NOT NULL DEFAULT '0',
  Nombre varchar(40) NOT NULL DEFAULT '',
  Contrasena varchar(40) NOT NULL DEFAULT '',
  Idioma tinyint(4) NOT NULL DEFAULT '0',
  Telefono varchar(60) NOT NULL DEFAULT '',
  PoderLogin tinyint(1) NOT NULL DEFAULT '0',
  PoderCambioPrecio tinyint(1) NOT NULL DEFAULT '0',
  PoderDescuento tinyint(1) NOT NULL DEFAULT '0',
  PoderDevolver tinyint(1) NOT NULL DEFAULT '0',
  PoderCobrar tinyint(1) NOT NULL DEFAULT '0',
  PoderAbrirCajon tinyint(1) NOT NULL DEFAULT '0',
  PoderBS tinyint(1) NOT NULL DEFAULT '0',
  PoderPDA tinyint(1) NOT NULL DEFAULT '0',
  PoderArqueroCierre tinyint(1) NOT NULL DEFAULT '0',
  PoderMantener tinyint(1) NOT NULL DEFAULT '0',
  Bloqueado tinyint(1) NOT NULL DEFAULT '0',
  Observacion varchar(255) NOT NULL DEFAULT '',
  PRIMARY KEY (EmpleadoID)
) ENGINE=InnoDB ;

CREATE TABLE extra (
  ExtraNo int(10) unsigned NOT NULL DEFAULT '0',
  MesaNo int(10) NOT NULL DEFAULT '0',
  ClienteID int(10) unsigned NOT NULL DEFAULT '0',
  Comensales smallint(6) NOT NULL DEFAULT '0',
  Fecha date DEFAULT NULL,
  FechaEntrada datetime NOT NULL DEFAULT CURRENT_TIMESTAMP,
  TicketNo int(10) unsigned NOT NULL DEFAULT '0',
  PrecioIncluidoIVA tinyint(1) NOT NULL DEFAULT '0',
  Descuento decimal(5,2) NOT NULL DEFAULT '0.00',
  Suplemento decimal(5,2) NOT NULL DEFAULT '0.00',
  PrecioUsado smallint(5) unsigned NOT NULL DEFAULT '0',
  CobrarTipo tinyint(4) NOT NULL DEFAULT '0',
  Total decimal(15,4) NOT NULL DEFAULT '0.0000',
  ImprimirTiempo datetime DEFAULT NULL,
  Imprimido tinyint(1) NOT NULL DEFAULT '0',
  CobrarTiempo datetime DEFAULT NULL,
  Efectivo decimal(15,4) NOT NULL DEFAULT '0.0000',
  Tarjeta decimal(15,4) NOT NULL DEFAULT '0.0000',
  Cheque decimal(15,4) NOT NULL DEFAULT '0.0000',
  DescuentoDirecto decimal(15,4) NOT NULL DEFAULT '0.0000',
  Otro decimal(15,4) NOT NULL DEFAULT '0.0000',
  EmpleadoID smallint(5) NOT NULL DEFAULT '0',
  SalonID int(5) NOT NULL DEFAULT '0',
  OrdenadorNombre varchar(16) NOT NULL DEFAULT '',
  Anulado tinyint(1) NOT NULL DEFAULT '0',
  Hash varchar(255) NOT NULL DEFAULT '',
  Modificador varchar(40) NOT NULL DEFAULT '',
  Observacion text,
  PRIMARY KEY (ExtraNo),
  KEY Fecha (Fecha)
) ENGINE=InnoDB ;

CREATE TABLE extradiariolista (
  Fecha date NOT NULL,
  DiarioListaNo int(10) unsigned NOT NULL DEFAULT '0',
  PRIMARY KEY (Fecha)
) ENGINE=InnoDB ;

CREATE TABLE extraivatotal (
  ExtraNo int(10) unsigned NOT NULL DEFAULT '0',
  Fecha date DEFAULT NULL,
  IVA decimal(5,2) NOT NULL DEFAULT '0.00',
  BaseImponible decimal(14,4) NOT NULL DEFAULT '0.0000',
  ImporteIVA decimal(12,4) NOT NULL DEFAULT '0.0000',
  SubTotal decimal(14,4) NOT NULL DEFAULT '0.0000',
  KEY DocNo (ExtraNo)
) ENGINE=InnoDB ;

CREATE TABLE extraplato (
  ExtraNo int(10) unsigned NOT NULL DEFAULT '0',
  MenuID varchar(8) NOT NULL DEFAULT '',
  Codigo varchar(8) NOT NULL DEFAULT '',
  NombreES varchar(80) NOT NULL DEFAULT '',
  NombreCN varchar(80) NOT NULL DEFAULT '',
  Precio decimal(13,4) NOT NULL DEFAULT '0.0000',
  Cantidad int(10) NOT NULL DEFAULT '0',
  PlatoOrden smallint(5) NOT NULL DEFAULT '0',
  IVA decimal(5,2) NOT NULL DEFAULT '0.00',
  Descuento decimal(5,2) NOT NULL DEFAULT '0.00',
  SerRegalo tinyint(1) NOT NULL DEFAULT '0',
  ComentarioES varchar(512) NOT NULL DEFAULT '',
  ComentarioCN varchar(512) NOT NULL DEFAULT '',
  OrdenNo int(10) unsigned NOT NULL DEFAULT '0',
  KEY ExtraNo (ExtraNo)
) ENGINE=InnoDB ;

CREATE TABLE factura (
  FacturaNo int(10) unsigned NOT NULL DEFAULT '0',
  MesaNo int(10) NOT NULL DEFAULT '0',
  ClienteID int(10) unsigned NOT NULL DEFAULT '0',
  Comensales smallint(6) NOT NULL DEFAULT '0',
  Fecha date DEFAULT NULL,
  FechaEntrada datetime NOT NULL DEFAULT CURRENT_TIMESTAMP,
  TicketNo int(10) unsigned NOT NULL DEFAULT '0',
  PrecioIncluidoIVA tinyint(1) NOT NULL DEFAULT '0',
  Descuento decimal(5,2) NOT NULL DEFAULT '0.00',
  Suplemento decimal(5,2) NOT NULL DEFAULT '0.00',
  PrecioUsado smallint(5) unsigned NOT NULL DEFAULT '0',
  CobrarTipo tinyint(4) NOT NULL DEFAULT '0',
  Total decimal(15,4) NOT NULL DEFAULT '0.0000',
  ImprimirTiempo datetime DEFAULT NULL,
  Imprimido tinyint(1) NOT NULL DEFAULT '0',
  CobrarTiempo datetime DEFAULT NULL,
  Efectivo decimal(15,4) NOT NULL DEFAULT '0.0000',
  Tarjeta decimal(15,4) NOT NULL DEFAULT '0.0000',
  Cheque decimal(15,4) NOT NULL DEFAULT '0.0000',
  DescuentoDirecto decimal(15,4) NOT NULL DEFAULT '0.0000',
  Otro decimal(15,4) NOT NULL DEFAULT '0.0000',
  EmpleadoID smallint(5) NOT NULL DEFAULT '0',
  LiquidacionNo int(10) unsigned NOT NULL DEFAULT '0',
  SalonID int(5) NOT NULL DEFAULT '0',
  OrdenadorNombre varchar(16) NOT NULL DEFAULT '',
  Anulado tinyint(1) NOT NULL DEFAULT '0',
  Hash varchar(255) NOT NULL DEFAULT '',
  Modificador varchar(40) NOT NULL DEFAULT '',
  Observacion text,
  PRIMARY KEY (FacturaNo),
  KEY Fecha (Fecha)
) ENGINE=InnoDB ;

CREATE TABLE facturadiariolista (
  Fecha date NOT NULL,
  DiarioListaNo int(10) unsigned NOT NULL DEFAULT '0',
  PRIMARY KEY (Fecha)
) ENGINE=InnoDB ;

CREATE TABLE facturaivatotal (
  FacturaNo int(10) unsigned NOT NULL DEFAULT '0',
  Fecha date DEFAULT NULL,
  IVA decimal(5,2) NOT NULL DEFAULT '0.00',
  BaseImponible decimal(14,4) NOT NULL DEFAULT '0.0000',
  ImporteIVA decimal(12,4) NOT NULL DEFAULT '0.0000',
  SubTotal decimal(14,4) NOT NULL DEFAULT '0.0000',
  KEY DocNo (FacturaNo)
) ENGINE=InnoDB ;

CREATE TABLE facturaplato (
  FacturaNo int(10) unsigned NOT NULL DEFAULT '0',
  MenuID varchar(8) NOT NULL DEFAULT '',
  Codigo varchar(8) NOT NULL DEFAULT '',
  NombreES varchar(80) NOT NULL DEFAULT '',
  NombreCN varchar(80) NOT NULL DEFAULT '',
  Precio decimal(13,4) NOT NULL DEFAULT '0.0000',
  Cantidad int(10) NOT NULL DEFAULT '0',
  PlatoOrden smallint(5) NOT NULL DEFAULT '0',
  IVA decimal(5,2) NOT NULL DEFAULT '0.00',
  Descuento decimal(5,2) NOT NULL DEFAULT '0.00',
  SerRegalo tinyint(1) NOT NULL DEFAULT '0',
  ComentarioES varchar(512) NOT NULL DEFAULT '',
  ComentarioCN varchar(512) NOT NULL DEFAULT '',
  OrdenNo int(10) unsigned NOT NULL DEFAULT '0',
  KEY FacturaNo (FacturaNo)
) ENGINE=InnoDB ;

CREATE TABLE impresoracocina (
  DeviceUUID varchar(64) NOT NULL DEFAULT '',
  ImpresoraCocina varchar(255) NOT NULL DEFAULT '',
  Copia tinyint(4) NOT NULL DEFAULT '1',
  PRIMARY KEY (DeviceUUID,ImpresoraCocina)
) ENGINE=InnoDB ;

CREATE TABLE impresoraservidor (
  ID varchar(255) NOT NULL DEFAULT '',
  PapelTipo smallint(6) unsigned NOT NULL DEFAULT '0',
  PRIMARY KEY (ID)
) ENGINE=InnoDB ;

CREATE TABLE ivatipo (
  IVAID smallint(5) unsigned NOT NULL DEFAULT '0',
  Nombre varchar(30) NOT NULL DEFAULT '',
  IVA decimal(5,2) NOT NULL DEFAULT '0.00',
  Bloqueado tinyint(1) NOT NULL DEFAULT '0',
  Observacion varchar(255) NOT NULL DEFAULT '',
  PRIMARY KEY (IVAID)
) ENGINE=InnoDB ;

CREATE TABLE liquidacion (
  LiquidacionNo int(10) unsigned NOT NULL DEFAULT '0',
  Fecha date DEFAULT NULL,
  Tiempo datetime NOT NULL DEFAULT CURRENT_TIMESTAMP,
  Total decimal(16,4) NOT NULL DEFAULT '0.0000',
  Efectivo decimal(16,4) NOT NULL DEFAULT '0.0000',
  Tarjeta decimal(16,4) NOT NULL DEFAULT '0.0000',
  Cheque decimal(16,4) NOT NULL DEFAULT '0.0000',
  DescuentoDirecto decimal(16,4) NOT NULL DEFAULT '0.0000',
  Otro decimal(16,4) NOT NULL DEFAULT '0.0000',
  Observacion varchar(255) NOT NULL DEFAULT '',
  PRIMARY KEY (LiquidacionNo),
  KEY Fecha (Fecha)
) ENGINE=InnoDB ;

CREATE TABLE log (
  LogID bigint(20) unsigned NOT NULL AUTO_INCREMENT,
  LogTime datetime DEFAULT NULL,
  ProgramName varchar(80) NOT NULL DEFAULT '',
  DBVersion decimal(8,2) NOT NULL DEFAULT '0.00',
  UserID smallint(5) unsigned NOT NULL DEFAULT '0',
  LogType varchar(40) NOT NULL DEFAULT '',
  DeviceIP varchar(60) NOT NULL DEFAULT '',
  Content varchar(1024) NOT NULL DEFAULT '',
  PRIMARY KEY (LogID),
  KEY LogTime (LogTime)
) ENGINE=InnoDB ;

CREATE TABLE menu (
  MenuID varchar(8) NOT NULL DEFAULT '',
  Codigo varchar(8) NOT NULL DEFAULT '',
  NombreES varchar(80) NOT NULL DEFAULT '',
  PrimeraLetra varchar(40) NOT NULL DEFAULT '',
  NombreCN varchar(80) NOT NULL DEFAULT '',
  Descripcion varchar(255) NOT NULL DEFAULT '',
  PinYin varchar(200) NOT NULL DEFAULT '',
  ClaseID smallint(5) NOT NULL DEFAULT '1',
  Precio1 decimal(13,4) NOT NULL DEFAULT '0.0000',
  Precio2 decimal(13,4) NOT NULL DEFAULT '0.0000',
  Precio3 decimal(13,4) NOT NULL DEFAULT '0.0000',
  Precio4 decimal(13,4) NOT NULL DEFAULT '0.0000',
  Precio5 decimal(13,4) NOT NULL DEFAULT '0.0000',
  Precio6 decimal(13,4) NOT NULL DEFAULT '0.0000',
  Descuento decimal(5,2) NOT NULL DEFAULT '0.00',
  VentaTotal int(10) NOT NULL DEFAULT '0',
  SerRegalo tinyint(1) NOT NULL DEFAULT '0',
  Dibujo longblob,
  DibujoMD5 varchar(40) NOT NULL DEFAULT '',
  ConsultaParcial text,
  Bloqueado tinyint(1) NOT NULL DEFAULT '0',
  Observacion varchar(255) NOT NULL DEFAULT '',
  OrdenNo int(10) NOT NULL DEFAULT '0',
  PRIMARY KEY (MenuID)
) ENGINE=InnoDB ;

CREATE TABLE menuclase (
  ClaseID smallint(5) NOT NULL DEFAULT '0',
  PadreID smallint(5) NOT NULL DEFAULT '0',
  NombreES varchar(80) NOT NULL DEFAULT '',
  NombreCN varchar(80) NOT NULL DEFAULT '',
  ContarStock tinyint(1) NOT NULL DEFAULT '0',
  Descuento decimal(5,2) NOT NULL DEFAULT '0.00',
  IVAID smallint(5) unsigned NOT NULL DEFAULT '1',
  SerRegalo tinyint(1) NOT NULL DEFAULT '0',
  Dibujo longblob,
  DibujoMD5 varchar(40) NOT NULL DEFAULT '',
  Bloqueado tinyint(1) NOT NULL DEFAULT '0',
  PadreGrupo varchar(1024) NOT NULL DEFAULT '0',
  OrdenNo int(10) NOT NULL DEFAULT '0',
  Observacion varchar(255) NOT NULL DEFAULT '',
  PRIMARY KEY (ClaseID)
) ENGINE=InnoDB ;

CREATE TABLE menucomentario (
  ComentarioID int(10) unsigned NOT NULL DEFAULT '0',
  ComentarioCodigo varchar(8) NOT NULL DEFAULT '',
  ComentarioES varchar(512) NOT NULL DEFAULT '',
  ComentarioCN varchar(512) NOT NULL DEFAULT '',
  ConsultaParcial varchar(2048) NOT NULL DEFAULT '',
  PRIMARY KEY (ComentarioID)
) ENGINE=InnoDB ;

CREATE TABLE menuimpresoracocina (
  DeviceUUID varchar(64) NOT NULL DEFAULT '',
  ClaseID smallint(5) NOT NULL DEFAULT '0',
  PadreID smallint(5) NOT NULL DEFAULT '0',
  ClaseNombre varchar(80) NOT NULL DEFAULT '',
  ImpresoraCocina varchar(255) NOT NULL DEFAULT '',
  CortarPapel tinyint(1) NOT NULL DEFAULT '0',
  OrdenNo int(10) NOT NULL DEFAULT '0',
  Comments varchar(1024) DEFAULT NULL,
  PRIMARY KEY (DeviceUUID,ClaseID)
) ENGINE=InnoDB ;

CREATE TABLE mesa (
  MesaNo int(10) NOT NULL DEFAULT '0',
  NombreES varchar(20) NOT NULL DEFAULT '',
  NombreCN varchar(40) NOT NULL DEFAULT '',
  SalonID int(5) NOT NULL DEFAULT '0',
  Estado tinyint(4) NOT NULL DEFAULT '0',
  Bloqueado tinyint(1) NOT NULL DEFAULT '0',
  Observacion varchar(255) NOT NULL DEFAULT '',
  PRIMARY KEY (MesaNo)
) ENGINE=InnoDB ;

CREATE TABLE opcion (
  ID varchar(80) NOT NULL DEFAULT '',
  IntegerValor bigint(20) DEFAULT NULL,
  DecimalValor decimal(16,4) DEFAULT NULL,
  VarCharValor varchar(100) DEFAULT NULL,
  TextValor longtext,
  Publico tinyint(1) NOT NULL DEFAULT '0',
  PRIMARY KEY (ID)
) ENGINE=InnoDB ;

CREATE TABLE ordenadorejecutando (
  MySQLID bigint(4) NOT NULL DEFAULT '0',
  ProgramID varchar(32) NOT NULL DEFAULT '',
  MysqlIDUser varchar(160) NOT NULL DEFAULT '',
  DeviceUUID varchar(64) NOT NULL DEFAULT '',
  OrdenadorNombre varchar(16) NOT NULL DEFAULT '',
  EmpleadoNombre varchar(18) NOT NULL DEFAULT '',
  LoginTiempo datetime DEFAULT NULL,
  LastTiempo datetime DEFAULT NULL,
  Observacion varchar(255) NOT NULL DEFAULT '',
  PRIMARY KEY (MySQLID)
) ENGINE=InnoDB ;

CREATE TABLE parallevarasistente (
  TicketNo int(10) unsigned NOT NULL DEFAULT '0',
  PRIMARY KEY (TicketNo)
) ENGINE=InnoDB ;

CREATE TABLE pdacocina (
  ID varchar(40) NOT NULL DEFAULT '',
  MesaNo int(10) NOT NULL DEFAULT '0',
  MenuID varchar(8) NOT NULL DEFAULT '',
  ClaseID smallint(5) NOT NULL DEFAULT '1',
  NombreES varchar(80) NOT NULL DEFAULT '',
  NombreCN varchar(80) NOT NULL DEFAULT '',
  Cantidad smallint(6) NOT NULL DEFAULT '0',
  OrdenNo int(10) unsigned NOT NULL DEFAULT '0',
  ComentarioES varchar(512) NOT NULL DEFAULT '',
  ComentarioCN varchar(512) NOT NULL DEFAULT '',
  KEY ID (ID)
) ENGINE=InnoDB ;

CREATE TABLE platoeliminado (
  MenuID varchar(8) NOT NULL DEFAULT '',
  Codigo varchar(8) NOT NULL DEFAULT '',
  Nombre varchar(80) NOT NULL DEFAULT '',
  Precio decimal(13,4) NOT NULL DEFAULT '0.0000',
  Cantidad int(10) NOT NULL DEFAULT '0',
  Descuento decimal(5,2) NOT NULL DEFAULT '0.00',
  IVA decimal(5,2) NOT NULL DEFAULT '0.00',
  PrecioIncluidoIVA tinyint(1) NOT NULL DEFAULT '0',
  Fecha date DEFAULT NULL,
  EliminarTiempo datetime NOT NULL DEFAULT CURRENT_TIMESTAMP,
  MesaNo int(10) NOT NULL DEFAULT '0',
  EmpleadoID smallint(5) NOT NULL DEFAULT '0',
  LiquidacionNo int(10) unsigned NOT NULL DEFAULT '0',
  OrdenadorNombre varchar(16) NOT NULL DEFAULT '',
  Observacion varchar(255) NOT NULL DEFAULT '',
  KEY Fecha (Fecha)
) ENGINE=InnoDB ;

CREATE TABLE salon (
  SalonID int(5) NOT NULL DEFAULT '0',
  NombreES varchar(40) NOT NULL DEFAULT '',
  NombreCN varchar(40) NOT NULL DEFAULT '',
  PrecioUsado smallint(5) unsigned NOT NULL DEFAULT '0',
  Descuento decimal(5,2) NOT NULL DEFAULT '0.00',
  Suplemento decimal(5,2) NOT NULL DEFAULT '0.00',
  PrecioIncluidoIVA tinyint(1) NOT NULL DEFAULT '0',
  DocumentoImprimirArticuloID tinyint(1) NOT NULL DEFAULT '0',
  MesaNoInicio int(10) NOT NULL DEFAULT '0',
  MesaNoFinal int(10) NOT NULL DEFAULT '0',
  Layout longblob,
  OrdenNo int(10) unsigned NOT NULL DEFAULT '0',
  Bloqueado tinyint(1) NOT NULL DEFAULT '0',
  Observacion varchar(255) NOT NULL DEFAULT '',
  PRIMARY KEY (SalonID)
) ENGINE=InnoDB ;

CREATE TABLE tablapropiedad (
  TablaNombre varchar(100) NOT NULL DEFAULT '',
  Basico tinyint(1) NOT NULL DEFAULT '0',
  Publico tinyint(1) NOT NULL DEFAULT '0',
  TiempoActualizar datetime DEFAULT NULL,
  PRIMARY KEY (TablaNombre)
) ENGINE=InnoDB ;

CREATE TABLE ticket (
  TicketNo int(10) unsigned NOT NULL DEFAULT '0',
  MesaNo int(10) NOT NULL DEFAULT '0',
  ClienteID int(10) unsigned NOT NULL DEFAULT '0',
  Comensales smallint(6) NOT NULL DEFAULT '0',
  Fecha date DEFAULT NULL,
  FechaEntrada datetime NOT NULL DEFAULT CURRENT_TIMESTAMP,
  FacturaNo int(10) NOT NULL DEFAULT '0',
  PrecioIncluidoIVA tinyint(1) NOT NULL DEFAULT '0',
  Descuento decimal(5,2) NOT NULL DEFAULT '0.00',
  Suplemento decimal(5,2) NOT NULL DEFAULT '0.00',
  PrecioUsado smallint(5) unsigned NOT NULL DEFAULT '0',
  CobrarTipo tinyint(4) NOT NULL DEFAULT '0',
  CobrarTiempo datetime DEFAULT NULL,
  Total decimal(15,4) NOT NULL DEFAULT '0.0000',
  ImprimirTiempo datetime DEFAULT NULL,
  Imprimido tinyint(1) NOT NULL DEFAULT '0',
  Efectivo decimal(15,4) NOT NULL DEFAULT '0.0000',
  Tarjeta decimal(15,4) NOT NULL DEFAULT '0.0000',
  Cheque decimal(15,4) NOT NULL DEFAULT '0.0000',
  DescuentoDirecto decimal(15,4) NOT NULL DEFAULT '0.0000',
  Otro decimal(15,4) NOT NULL DEFAULT '0.0000',
  OrdenNoPorFecha int(10) NOT NULL DEFAULT '0',
  EmpleadoID smallint(5) NOT NULL DEFAULT '0',
  LiquidacionNo int(10) unsigned NOT NULL DEFAULT '0',
  SalonID int(5) NOT NULL DEFAULT '0',
  OrdenadorNombre varchar(16) NOT NULL DEFAULT '',
  Anulado tinyint(1) NOT NULL DEFAULT '0',
  Hash varchar(255) NOT NULL DEFAULT '',
  Modificador varchar(40) NOT NULL DEFAULT '',
  StockIn tinyint(1) NOT NULL DEFAULT '0',
  Observacion text,
  PRIMARY KEY (TicketNo),
  KEY Fecha (Fecha)
) ENGINE=InnoDB ;

CREATE TABLE ticketplato (
  TicketNo int(10) unsigned NOT NULL DEFAULT '0',
  MenuID varchar(8) NOT NULL DEFAULT '',
  Codigo varchar(8) NOT NULL DEFAULT '',
  NombreES varchar(80) NOT NULL DEFAULT '',
  NombreCN varchar(80) NOT NULL DEFAULT '',
  Precio decimal(13,4) NOT NULL DEFAULT '0.0000',
  Cantidad int(10) NOT NULL DEFAULT '0',
  PlatoOrden smallint(5) NOT NULL DEFAULT '0',
  IVA decimal(5,2) NOT NULL DEFAULT '0.00',
  Descuento decimal(5,2) NOT NULL DEFAULT '0.00',
  SerRegalo tinyint(1) NOT NULL DEFAULT '0',
  ComentarioES varchar(512) NOT NULL DEFAULT '',
  ComentarioCN varchar(512) NOT NULL DEFAULT '',
  OrdenNo int(10) unsigned NOT NULL DEFAULT '0',
  KEY TicketNo (TicketNo)
) ENGINE=InnoDB ;

CREATE TABLE trabajo (
  TicketNo int(10) unsigned NOT NULL DEFAULT '0',
  MesaNo int(10) NOT NULL DEFAULT '0',
  ClienteID int(10) unsigned NOT NULL DEFAULT '0',
  Comensales smallint(6) NOT NULL DEFAULT '0',
  Fecha datetime DEFAULT NULL,
  FechaEntrada datetime NOT NULL DEFAULT CURRENT_TIMESTAMP,
  FacturaNo int(10) NOT NULL DEFAULT '0',
  PrecioIncluidoIVA tinyint(1) NOT NULL DEFAULT '0',
  FacturaTiempo datetime DEFAULT NULL,
  Descuento decimal(5,2) NOT NULL DEFAULT '0.00',
  Suplemento decimal(5,2) NOT NULL DEFAULT '0.00',
  PrecioUsado smallint(5) unsigned NOT NULL DEFAULT '0',
  Total decimal(15,4) NOT NULL DEFAULT '0.0000',
  ImprimirTiempo datetime DEFAULT NULL,
  Imprimido tinyint(1) NOT NULL DEFAULT '0',
  CobrarTiempo datetime DEFAULT NULL,
  OrdenNoPorFecha int(10) NOT NULL DEFAULT '0',
  EmpleadoID smallint(5) NOT NULL DEFAULT '0',
  SalonID int(5) NOT NULL DEFAULT '0',
  OrdenadorNombre varchar(16) NOT NULL DEFAULT '',
  Anulado tinyint(1) NOT NULL DEFAULT '0',
  Hash varchar(255) NOT NULL DEFAULT '',
  Modificador varchar(40) NOT NULL DEFAULT '',
  Observacion text,
  PRIMARY KEY (TicketNo),
  KEY Fecha (Fecha)
) ENGINE=InnoDB ;

CREATE TABLE trabajoplato (
  TicketNo int(10) unsigned NOT NULL DEFAULT '0',
  MenuID varchar(8) NOT NULL DEFAULT '',
  Codigo varchar(8) NOT NULL DEFAULT '',
  NombreES varchar(80) NOT NULL DEFAULT '',
  NombreCN varchar(80) NOT NULL DEFAULT '',
  Precio decimal(13,4) NOT NULL DEFAULT '0.0000',
  Cantidad int(10) NOT NULL DEFAULT '0',
  PlatoOrden smallint(5) NOT NULL DEFAULT '0',
  IVA decimal(5,2) NOT NULL DEFAULT '0.00',
  Descuento decimal(5,2) NOT NULL DEFAULT '0.00',
  SerRegalo tinyint(1) NOT NULL DEFAULT '0',
  ComentarioES varchar(512) NOT NULL DEFAULT '',
  ComentarioCN varchar(512) NOT NULL DEFAULT '',
  OrdenNo int(10) unsigned NOT NULL DEFAULT '0',
  KEY TicketNo (TicketNo)
) ENGINE=InnoDB ;

