<?php

error_reporting(E_ALL);

require __DIR__ . '/autoload.php';
use Mike42\Escpos\Printer;
use Mike42\Escpos\EscposImage;
use Mike42\Escpos\PrintConnectors\FilePrintConnector;

$options = getopt("p:f:");

$f = isset($options['f']) ? $options['f']: 'graphics';

/* Fill in your own connector here */
$connector = new FilePrintConnector("php://stdout");

$logo = EscposImage::load($options['p'], false);
$printer = new Printer($connector);

/* Print top logo */
$printer -> setJustification(Printer::JUSTIFY_CENTER); 

if ($f == "graphics") {
	$printer -> graphics($logo);}
else {
	$printer -> bitImage($logo);}

/* $printer -> setJustification(Printer::JUSTIFY_LEFT); */

$printer -> close();
